<?php 
    $connection = new mysqli("localhost", "root", "", "cisamusep");
    
    $id_post = $_POST['id'];
    $id_estado = $connection->real_escape_string($id_post);

    $query_cidades = "SELECT * FROM cidades WHERE estados_id = $id_estado";

    $preenche_cidades = $connection->query($query_cidades);

    while($row_cidades = $preenche_cidades->fetch_array()){
        echo "<option>{$row_cidades['nome']}</option>";
    }
?>